<?php

// Extract the latitude and longitude values from the comment for use in our output.
if (!empty($content['comment_body']['#object']->latitude)) {
  $latitude = $content['comment_body']['#object']->latitude;
}
if (!empty($content['comment_body']['#object']->longitude)) {
  $longitude = $content['comment_body']['#object']->longitude;
}

?>
<div class="<?php print $classes; ?> clearfix"<?php print $attributes; ?>>
  <?php print $picture ?>

  <?php if ($new): ?>
    <span class="new"><?php print $new ?></span>
  <?php endif; ?>

  <?php print render($title_prefix); ?>
  <h3<?php print $title_attributes; ?>><?php print $title ?></h3>
  <?php print render($title_suffix); ?>

  <div class="submitted">
    <?php print $permalink; ?>
    <?php print $submitted; ?>
  </div>

  <div class="content"<?php print $content_attributes; ?>>
    <?php
      // We hide the comments and links now so that we can render them later.
      hide($content['links']);
      print render($content);
    ?>
    <?php if ($signature): ?>
    <div class="user-signature clearfix">
      <?php print $signature ?>
    </div>
    <?php endif; ?>
  </div>

  <?php if (!empty($latitude) && !empty($longitude)): ?>
    <div class="comment-coords">(Latitude <?php echo round($latitude, 2), '&deg;, Longitude ', round($longitude, 2), '&deg;'; ?>)</div>
  <?php endif; ?>

  <?php print render($content['links']) ?>
</div>
